# Welcome to the pgOperations Python module documentation

This site contains the project documentation for the Python
`PgOperations` module. It is a simple lightweight Python module to perform the most 
common operations in `PostgreSQL` and `PostgGIS`, avoiding most of the SQL syntax.

The class methods allow insert, delete, update, select, create 
and delete tables and databases. Also, you will be able to know is a table exists, get the field names 
of a table, and manage counters for your applications. It does not avoid the need for SQL knowledge, but facilitates the most common tasks. Maybe it is suitable for beginners and small projects.

This module requires Python 3 and [Psycopg2](https://pypi.org/project/psycopg2/), and **supposes all python dictionary keys match with the table field names**.

Author <a href="mailto:joamona@cgf.upv.es">Gaspar Mora-Navarro</a>.
<a href = https://www.upv.es/en target="_blank">Universitat Politècnica de València </a>, Spain.
<a href="http://www.upv.es/entidades/DICGF/index-en.html" target="_blank">Department of Cartographic Engineering Geodesy and Photogrammetry</a>.
<a href="https://www.upv.es/entidades/ETSIGCT/index-en.html" target="_blank">Higher Technical School of Geodetic, Cartographic and Topographical Engineering</a>.

## Table Of Contents

Read the documentation to know how to use `pgOperations`. In the tutorial you will find
out how to install and use the class methods, with examples. The reference contains the classes, methods, and parameters description:

<!--2. [How-To Guides](how-to-guides.md)-->
1. [Tutorials](tutorials.md)
2. [Reference](reference.md)
3. [Explanation](explanation.md)


